//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
// 
// HeapAllocationDlg.h : plik nagłówka
//

#pragma once
#include "afxwin.h"

class LinkedList;

// Okno dialogowe CHeapAllocationDlg
class CHeapAllocationDlg : public CDialog
{
// Tworzenie
public:
	CHeapAllocationDlg(CWnd* pParent = NULL);	// standardowy konstruktor

// Dane okna dialogowego
	enum { IDD = IDD_HEAPALLOCATION_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// Obsługa DDX/DDV


// Implementacja
protected:
	HICON m_hIcon;

	// Wygenerowane funkcje mapy wiadomości
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
	afx_msg void OnAllocate();
	afx_msg void OnDeallocate();
private:
	CEdit allocateTimeCtrl;
	CEdit deallocateTimeCtrl;
	LinkedList *head;
public:
	afx_msg void OnClose();
};
